## entangle 3.0

=== meson_options.txt ===
option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('enable-werror', type: 'boolean',  value: false, description: 'Enable -Werror flag')

## entangle 0.5.0

=== debian/changelog ===
entangle (0.5.0-1build1) raring; urgency=low

  * No-change rebuild against libgexiv2-1

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 21 Mar 2013 09:14:18 +1300

entangle (0.5.0-1) unstable; urgency=low

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control: libraw-dev added to b-deps
  * debian/entangle.install: install paths fixed
  * debian/rules: useless dirs and files removed
  * debian/: gir1.2-entangle-0.1 package added (Closes: #695342)

  [ Matthieu Baerts ]
  * debian/control:
    - Bumped Standards-Version (no changes needed)
  * debian/rules:
    - Removed usr/share/glib-2.0/schemas/gschemas.compiled (Closes: #689576)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Thu, 10 Jan 2013 09:23:59 +0100

entangle (0.4.1-1) unstable; urgency=low

  * New upstream release
    - debian/: ad-hoc manpages removed

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 07 Sep 2012 14:51:51 +0200

entangle (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #645972)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 10 Aug 2012 17:29:21 +0200

=== debian/control ===
Source: entangle
Section: utils
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Matteo F. Vescovi <mfv.debian@gmail.com>
Build-Depends:
 autoconf,
 automake,
 autotools-dev,
 debhelper (>= 9),
 gobject-introspection,
 intltool,
 libdbus-glib-1-dev,
 libgdk-pixbuf2.0-dev,
 libgexiv2-dev,
 libglib2.0-dev,
 libgphoto2-2-dev,
 libgtk-3-dev,
 libgudev-1.0-dev,
 liblcms1-dev,
 libpeas-dev,
 libraw-dev,
 pkg-config
Standards-Version: 3.9.4
Homepage: http://entangle-photo.org/
Vcs-Git: git://anonscm.debian.org/pkg-phototools/entangle.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/entangle.git

Package: entangle
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Enhances: digikam, gimp, gnumed-client
Description: Tethered Camera Control & Capture
 Entangle provides a graphical interface for "tethered shooting", aka
 taking photographs with a digital camera completely controlled from the
 computer.
 .
 Using Entangle is as easy as 1,2,3...
  * Connect camera
  * Launch Entangle
  * Shoot photos
 .
 With a sufficiently capable digital SLR camera Entangle allows:
  * Trigger the shutter from the computer
  * Live preview of scene before shooting
  * Automatic download and display of photos as they are shot
  * Control of all camera settings from computer

Package: entangle-dbg
Section: debug
Priority: extra
Architecture: any
Depends: entangle (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for entangle
 Entangle provides a graphical interface for "tethered shooting", aka
 taking photographs with a digital camera completely controlled from the
 computer.
 .
 This package contains the debugging symbols for entangle.

Package: gir1.2-entangle-0.1
Section: introspection
Architecture: any
Depends: entangle (= ${binary:Version}),
         ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for entangle
 Entangle provides a graphical interface for "tethered shooting", aka
 taking photographs with a digital camera completely controlled from the
 computer.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

INSTDIR=debian/tmp

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-static=no

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTDIR)
	rm -f $(INSTDIR)/usr/share/glib-2.0/schemas/gschemas.compiled
	find $(INSTDIR)/usr/share/entangle/plugins/ -type d -empty -delete

override_dh_strip:
	dh_strip --dbg-package=entangle-dbg

override_dh_auto_clean:

## entangle 0.5.1

=== debian/changelog ===
entangle (0.5.1-1ubuntu1) saucy; urgency=low

  * Build against libgphoto2-6.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 31 Jul 2013 08:46:31 +0200

entangle (0.5.1-1build1) saucy; urgency=low

  * No-change rebuild against latest libraw

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 12 Jul 2013 12:49:10 -0400

entangle (0.5.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules: "gir" addon added to dh parameters

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 13 Mar 2013 09:04:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: entangle
 Section: utils
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Tille <tille@debian.org>,
  Matteo F. Vescovi <mfv.debian@gmail.com>
@@ -16,7 +17,7 @@
  libgdk-pixbuf2.0-dev,
  libgexiv2-dev,
  libglib2.0-dev,
- libgphoto2-2-dev,
+ libgphoto2-6-dev,
  libgtk-3-dev,
  libgudev-1.0-dev,
  liblcms1-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 INSTDIR=debian/tmp
 
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autotools_dev,gir
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-static=no

## entangle 0.5.3

=== debian/changelog ===
entangle (0.5.3-1) unstable; urgency=low

  * New upstream release
    - debian/rules: gschemas.compiled file removal dropped.
      This line was added to fix #689576, now applied upstream.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 30 Aug 2013 18:43:43 +0200

entangle (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 19 Aug 2013 14:46:31 +0200

## entangle 0.5.4

=== debian/changelog ===
entangle (0.5.4-2) unstable; urgency=medium

  * debian/control: b-dep libgphoto2-2-dev => libgphoto2-dev (Closes: #739354)
  * debian/control: S-V bump 3.9.4 => 3.9.5 (no changes needed)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Mon, 24 Feb 2014 09:15:05 +0100

entangle (0.5.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Uploader e-mail address updated

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Mon, 16 Dec 2013 17:21:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: entangle
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Tille <tille@debian.org>,
- Matteo F. Vescovi <mfv.debian@gmail.com>
+ Matteo F. Vescovi <mfvescovi@gmail.com>
 Build-Depends:
  autoconf,
  automake,
@@ -17,14 +16,14 @@
  libgdk-pixbuf2.0-dev,
  libgexiv2-dev,
  libglib2.0-dev,
- libgphoto2-6-dev,
+ libgphoto2-dev,
  libgtk-3-dev,
  libgudev-1.0-dev,
  liblcms1-dev,
  libpeas-dev,
  libraw-dev,
  pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://entangle-photo.org/
 Vcs-Git: git://anonscm.debian.org/pkg-phototools/entangle.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/entangle.git

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTDIR)
-	rm -f $(INSTDIR)/usr/share/glib-2.0/schemas/gschemas.compiled
 	find $(INSTDIR)/usr/share/entangle/plugins/ -type d -empty -delete
 
 override_dh_strip:

=== debian/watch ===
version=3
http://entangle-photo.org/download/sources/entangle-(.*)\.tar\.gz

## entangle 0.6.0

=== debian/changelog ===
entangle (0.6.0-2) unstable; urgency=medium

  * debian/: autotools => dh-autoreconf

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Thu, 31 Jul 2014 15:25:09 +0200

entangle (0.6.0-1) unstable; urgency=medium

  [ Jackson Doak ]
  * Configure with --disable-silent-rules
  * debian/rules: --disable-silent-rules parameter added

  [ Matteo F. Vescovi ]
  * New upstream release
    - debian/control: b-dep liblcms1-dev => liblcms2-dev (Closes: #745527)
    - debian/control: gnome-icon-theme-symbolic b-dep added

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Sat, 03 May 2014 10:17:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 Build-Depends:
  autoconf,
  automake,
- autotools-dev,
  debhelper (>= 9),
+ dh-autoreconf,
+ gnome-icon-theme-symbolic,
  gobject-introspection,
  intltool,
  libdbus-glib-1-dev,
@@ -19,7 +20,7 @@
  libgphoto2-dev,
  libgtk-3-dev,
  libgudev-1.0-dev,
- liblcms1-dev,
+ liblcms2-dev,
  libpeas-dev,
  libraw-dev,
  pkg-config

## entangle 0.7.1

=== debian/changelog ===
entangle (0.7.1-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (applied upstream)
  * debian/control: S-V bump 3.9.6 -> 3.9.7 (no changes needed)
  * debian/control: Vcs-* fields updated for https:// usage

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 18 Mar 2016 09:15:21 +0100

entangle (0.7.0-3) unstable; urgency=medium

  * debian/entangle.install: missing directory added.
    Thanks to Pascal Mons for pointing this out.

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 13 May 2015 08:45:22 +0200

entangle (0.7.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 28 Apr 2015 15:21:11 +0200

entangle (0.7.0-1) experimental; urgency=medium

  * New upstream release
    - debian/control: itstool b-dep added
    - debian/control: gtk-doc-tools b-dep added
    - debian/control: yelp-tools b-dep added
    - debian/entangle.install: shared libraries install
    - debian/patches/: new patchset setup
      - 0001-Fix_linker_issue.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 18 Mar 2015 17:30:18 +0100

entangle (0.6.1-2) experimental; urgency=medium

  * debian/entangle.install: missing directories added.
    Thanks to Pascal Mons for pointing it out.

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 27 Feb 2015 08:35:04 +0100

entangle (0.6.1-1) experimental; urgency=medium

  * New upstream release
    - debian/copyright: copyrights and licenses updated
  * debian/upstream/: signing key added
    - debian/watch: GnuPG signature verification added
  * debian/control: S-V bump 3.9.5 => 3.9.6 (no changes needed)
  * debian/control: Uploader e-mail address updated

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 06 Feb 2015 09:36:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Tille <tille@debian.org>,
- Matteo F. Vescovi <mfvescovi@gmail.com>
+ Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  autoconf,
  automake,
@@ -12,7 +12,9 @@
  dh-autoreconf,
  gnome-icon-theme-symbolic,
  gobject-introspection,
+ gtk-doc-tools,
  intltool,
+ itstool,
  libdbus-glib-1-dev,
  libgdk-pixbuf2.0-dev,
  libgexiv2-dev,
@@ -23,11 +25,12 @@
  liblcms2-dev,
  libpeas-dev,
  libraw-dev,
- pkg-config
-Standards-Version: 3.9.5
+ pkg-config,
+ yelp-tools
+Standards-Version: 3.9.7
 Homepage: http://entangle-photo.org/
-Vcs-Git: git://anonscm.debian.org/pkg-phototools/entangle.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/entangle.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/entangle.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/entangle.git
 
 Package: entangle
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 INSTDIR=debian/tmp
 
 %:
-	dh $@ --with autotools_dev,gir
+	dh $@ --with autoreconf,gir
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-static=no
+	dh_auto_configure -- --enable-static=no --disable-silent-rules
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTDIR)

## entangle 0.7.2

=== debian/changelog ===
entangle (0.7.2-1ubuntu1) bionic; urgency=medium

  * debian/patches/fix-gst-underlinking.patch: fix build failure
    with --no-add-needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Feb 2018 22:03:36 +0000

entangle (0.7.2-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (fixed upstream)
    - debian/control: gstreamer b-deps added
    - debian/entangle.doc-base: sgml documentation dropped

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 29 Aug 2017 22:53:00 +0200

entangle (0.7.1-3) unstable; urgency=medium

  * Upload to unstable
  * debian/control: S-V bump to 4.0.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 22 Jun 2017 17:25:20 +0200

entangle (0.7.1-2) experimental; urgency=medium

  * debian/patches/: patchset updated
    - 0001-Drop_gnome-icon-theme-symbolic_check added (Closes: #859267)
  * debian/control: drop obsolete b-dep and add ad-hoc Recommends at runtime
  * debian/control: S-V bump 3.9.7 -> 3.9.9 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 13 May 2017 15:27:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: entangle
 Section: utils
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Tille <tille@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
@@ -10,7 +11,6 @@
  automake,
  debhelper (>= 9),
  dh-autoreconf,
- gnome-icon-theme-symbolic,
  gobject-introspection,
  gtk-doc-tools,
  intltool,
@@ -20,6 +20,8 @@
  libgexiv2-dev,
  libglib2.0-dev,
  libgphoto2-dev,
+ libgstreamer1.0-dev,
+ libgstreamer-plugins-base1.0-dev,
  libgtk-3-dev,
  libgudev-1.0-dev,
  liblcms2-dev,
@@ -27,7 +29,7 @@
  libraw-dev,
  pkg-config,
  yelp-tools
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: http://entangle-photo.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/entangle.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/entangle.git
@@ -37,6 +39,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Enhances: digikam, gimp, gnumed-client
+Recommends: adwaita-icon-theme
 Description: Tethered Camera Control & Capture
  Entangle provides a graphical interface for "tethered shooting", aka
  taking photographs with a digital camera completely controlled from the

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://entangle-photo.org/download/sources/entangle-(.*)\.tar\.gz

## entangle 1.0

=== debian/changelog ===
entangle (1.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #908495, #889172
  * d/watch: Enable more flexible extensions to fetch latest upstream
  * Point Vcs fields to Salsa
  * New upstream version
  * debhelper 11
  * Standards-Version: 4.2.1
  * Drop manual -dbg package
  * Upstream switched from automake to meson
  * Move appdata from legacy location to new location
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Mon, 24 Sep 2018 22:21:30 +0200

=== debian/control ===
Source: entangle
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Matteo F. Vescovi <mfv@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11~),
               meson,
               python3,
               python3-pkg-resources,
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               itstool,
               libdbus-glib-1-dev,
               libgdk-pixbuf2.0-dev,
               libgexiv2-dev,
               libglib2.0-dev,
               libgphoto2-dev,
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgtk-3-dev,
               libgudev-1.0-dev,
               liblcms2-dev,
               libpeas-dev,
               libraw-dev,
               pkg-config,
               yelp-tools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/entangle
Vcs-Git: https://salsa.debian.org/debian-phototools-team/entangle.git
Homepage: http://entangle-photo.org/

Package: entangle
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: adwaita-icon-theme
Enhances: digikam,
          gimp,
          gnumed-client
Description: Tethered Camera Control & Capture
 Entangle provides a graphical interface for "tethered shooting", aka
 taking photographs with a digital camera completely controlled from the
 computer.
 .
 Using Entangle is as easy as 1,2,3...
  * Connect camera
  * Launch Entangle
  * Shoot photos
 .
 With a sufficiently capable digital SLR camera Entangle allows:
  * Trigger the shutter from the computer
  * Live preview of scene before shooting
  * Automatic download and display of photos as they are shot
  * Control of all camera settings from computer

Package: gir1.2-entangle-0.1
Architecture: any
Section: introspection
Depends: entangle (= ${binary:Version}),
         ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for entangle
 Entangle provides a graphical interface for "tethered shooting", aka
 taking photographs with a digital camera completely controlled from the
 computer.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with gir --buildsystem=meson

override_dh_install:
	dh_install
	# Move appdata from legacy location to new location
	mv debian/$(DEB_SOURCE)/usr/share/appdata debian/$(DEB_SOURCE)/usr/share/metainfo

## entangle 2.0

=== debian/changelog ===
entangle (2.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:39:18 +0100

entangle (2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.2.1 -> 4.3.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 21 Jan 2019 23:01:12 +0100

entangle (1.0-2) unstable; urgency=medium

  * debian/rules: add '--no-parallel' option to dh (Closes: #909836)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 28 Nov 2018 23:38:59 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libraw-dev,
                pkg-config,
                yelp-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/entangle
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/entangle.git
 Homepage: http://entangle-photo.org/

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --with gir --buildsystem=meson
+	dh $@ --with gir --buildsystem=meson --no-parallel
 
 override_dh_install:
 	dh_install

## entangle 3.0

=== debian/changelog ===
entangle (3.0-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:51:25 +0000

entangle (3.0-4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:16:50 +0000

entangle (3.0-4) unstable; urgency=medium

  * Team upload.
  * debian/control: move to libgdk-pixbuf-2.0-dev b-dep. (Closes: #1037370)

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Update standards version to 4.6.1, no changes needed.

 -- Bastian Germann <bage@debian.org>  Sun, 17 Sep 2023 22:35:09 +0200

entangle (3.0-3) unstable; urgency=medium

  * debian/control: add gir package to binary dependencies
    (Closes: #1001814)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 07 Apr 2022 22:44:52 +0200

entangle (3.0-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0001-Fix_meson_build.patch added (Closes: #1005580)
  * debian/copyright:
    - extend copyright timestamp
    - add CC0-1.0 stanza
  * debian/control: S-V bump 4.5.0 -> 4.6.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 15 Mar 2022 23:06:29 +0100

entangle (3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - debhelper bump 12 -> 13
    - add 'appstream' as B-D
  * debian/entangle.docs: README -> README.rst
  * debian/: fix appdata/metainfo stuff

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 06 Aug 2020 10:54:47 +0200

entangle (2.0-2) unstable; urgency=medium

  * debian/: debhelper bump 11 -> 12
  * debian/control:
    - drop libdbus-glib-1-dev b-dep (Closes: #955837)
    - S-V bump 4.3.0 -> 4.5.0 (no changes needed)
    - RRR set
    - http:// -> https:// for Homepage field
  * debian/: fix documentation path install
  * debian/entangle.install: install plugins

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 07 Apr 2020 01:08:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: entangle
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Matteo F. Vescovi <mfv@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: appstream,
+               debhelper-compat (= 13),
                meson,
                python3,
                python3-pkg-resources,
@@ -12,8 +14,7 @@
                gtk-doc-tools,
                intltool,
                itstool,
-               libdbus-glib-1-dev,
-               libgdk-pixbuf2.0-dev,
+               libgdk-pixbuf-2.0-dev,
                libgexiv2-dev,
                libglib2.0-dev,
                libgphoto2-dev,
@@ -26,14 +27,16 @@
                libraw-dev,
                pkg-config,
                yelp-tools
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/entangle
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/entangle.git
-Homepage: http://entangle-photo.org/
+Homepage: https://entangle-photo.org/
 
 Package: entangle
 Architecture: any
-Depends: ${misc:Depends},
+Depends: gir1.2-entangle-0.1,
+         ${misc:Depends},
          ${shlibs:Depends}
 Recommends: adwaita-icon-theme
 Enhances: digikam,

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with gir --buildsystem=meson --no-parallel

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ https://entangle-photo.org/download/sources/entangle@ANY_VERSION@@ARCHIVE_EXT@
